For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trebellar Platform
DocsGuidesAPI Reference
DocsGuidesAPI Reference
  • API Reference
    • Introduction
  • API Resources
      • GETList Assets with Filtering
      • POSTCreate New Asset
      • GETGet Asset by ID
      • POSTBulk Asset Operations
      • POSTBulk Seat Assignments by People Group
      • GETList Asset Tags
      • POSTAdd Asset Tag
      • PUTUpdate Asset Tag
      • DELDelete Asset Tag
      • POSTBind Asset Tags
      • POSTUnbind Asset Tags
      • GETList all Location Definitions
      • POSTAdd Location Definitions
      • PUTUpdate Location Definitions
      • DELDelete Location Definitions
Trebellar Platform
LogoLogo
API ResourcesAssets

Bulk Asset Operations

||View as Markdown|
POST
https://api.trebellar.app/api/v2/assets/bulk
POST
/api/v2/assets/bulk
1import { TrebellarApiClient } from "@trebellar/api-sdk";
2
3async function main() {
4 const client = new TrebellarApiClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.assets.bulkOperations({
8 operations: [],
9 });
10}
11main();
1{
2 "success": true,
3 "operations": [
4 {
5 "type": "string",
6 "asset": {
7 "id": "st_sf_tower_01",
8 "label": "San Francisco Tower - Floor 42",
9 "parentId": "string",
10 "location": {
11 "type": "Point",
12 "coordinates": [
13 -122.4194,
14 37.7749
15 ]
16 },
17 "dynamicProperties": {},
18 "assetTags": [
19 "string"
20 ],
21 "type": "string",
22 "staticProperties": {
23 "address": "123 Main St, San Francisco, CA 94105",
24 "coordinates": {
25 "lat": 37.7749,
26 "lon": -122.4194
27 },
28 "rentableSqft": 50000,
29 "businessHoursStart": "08:00",
30 "businessHoursEnd": "18:00",
31 "businessDays": [
32 "monday",
33 "tuesday",
34 "wednesday",
35 "thursday",
36 "friday"
37 ],
38 "status": "active",
39 "timezone": "America/Los_Angeles"
40 },
41 "children": [
42 null
43 ]
44 },
45 "timestampMs": 1.1,
46 "timestampMsDelete": 1.1
47 }
48 ]
49}

Execute multiple asset operations in a single atomic batch request. Supports add, update, delete, move, and get operations within one transaction. All operations succeed or fail together, ensuring data consistency. Ideal for large-scale imports, reorganizations, or synchronized updates across the asset hierarchy.

Was this page helpful?
Previous

Get Asset by ID

Next

Bulk Seat Assignments by People Group

Built with

Authentication

X-Trebellar-Api-Keystring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
operationslist of objectsRequired

Response

All batch operations completed successfully as an atomic transaction
successboolean
operationslist of objects

Errors

400
Bad Request Error
500
Internal Server Error